
.mime-icon {
    // File icon types
    &::after {
        content: 'insert_drive_file';
    }

    &[data-mimetype*="audio"]::after {
        content: 'volume_up';
    }

    &[data-mimetype*="postscript"]::after,
    &[data-mimetype*="pdf"]::after {
        content: 'picture_as_pdf';
    }

    &[data-mimetype*="video"]::after {
        content: 'ondemand_video';
    }

    &[data-mimetype*="image"]::after {
        content: 'photo';
    }

    &[data-mimetype*="x-stuffit"]::after,
    &[data-mimetype*="rar"]::after,
    &[data-mimetype*="x-tar"]::after,
    &[data-mimetype*="zip"]::after {
        content: 'archive';
    }
}
